"use strict";

var expandglob = require('expandglob'),
    path = require('path'),
    stringcase = require('stringcase');

var distDir = path.join(__dirname, 'dist');

module.exports = expandglob.sync(distDir + '/**/*.css', {
    cwd: __dirname
})
    .sort(_compareDepth)
    .map(function (filename) {
        var name = path.basename(filename, '.css');
        return {
            filename: filename,
            alt: stringcase.spinalcase(name)
        }
    });


function _compareDepth(a, b) {
    var separator = /\//g;
    return a.split(separator).length - b.split(separator).length;
}
